# Class PostfixExpression.Operator

java.lang.Object
org.eclipse.jdt.core.dom.PostfixExpression.Operator

Enclosing class:
  `PostfixExpression`

public static class PostfixExpression.Operator extends Object
Postfix operators (typesafe enumeration).

    PostfixOperator:
       ++  INCREMENT
       --  DECREMENT

Since:
  2.0

## Field Summary

Fields
Modifier and Type
Field
Description
`static final PostfixExpression.Operator`
`DECREMENT`
Postfix decrement "--" operator.
`static final PostfixExpression.Operator`
`INCREMENT`
Postfix increment "++" operator.

## Method Summary

Modifier and Type
Method
Description
`static PostfixExpression.Operator`
`toOperator(String token)`
Returns the postfix operator corresponding to the given string, or `null` if none.
`String`
`toString()`
Returns the character sequence for the operator.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### INCREMENT

public static final PostfixExpression.Operator INCREMENT
Postfix increment "++" operator.

### DECREMENT

public static final PostfixExpression.Operator DECREMENT
Postfix decrement "--" operator.

## Method Details

### toString

public String toString()
Returns the character sequence for the operator.

Overrides:
  `toString` in class `Object`
Returns:
  the character sequence for the operator

### toOperator

public static PostfixExpression.Operator toOperator(String token)
Returns the postfix operator corresponding to the given string, or `null` if none.

`toOperator` is the converse of `toString`: that is, `Operator.toOperator(op.toString()) == op` for all operators `op`.

Parameters:
  `token` - the character sequence for the operator
Returns:
  the postfix operator, or `null` if none